# set\_min\_bid

An entrypoint that setups a minimum bid that will be used to check user's first bid in time of auction launch.

### Call parameters

<table><thead><tr><th>Field</th><th width="198.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td>min_bid</td><td>nat</td><td>New minimum bid</td></tr></tbody></table>

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const auctionAddress = "KT1...";
const minBid = 100;
const auction = await tezos.contract.at(auctionAddress);
const operation = await auction.methods.set_min_bid(minBid).send();

await operation.confirmation();
```

{% endtab %}
{% endtabs %}

### Errors

* `400` - `sender` of the transaction is not current administrator.
* `412` - non payable entrypoint (can't accept TEZ tokens during call of an entrypoint).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/dex-2.0/auction-contract/entrypoints-overview/admin-entrypoints/set_min_bid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
